Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005131TestLinkTest Executepublic2012-08-08 09:262012-09-01 19:59
Reportersujataverma3 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWIN XPOS Version
Product Version1.9.4 Preview 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0005131: [1.9.4 PREVIEW] Test Execution Filters : "Not Run" Result Filter is not working
DescriptionIn Test Execution-> if we select Filter Results-> "Not Run" and apply , the test cases is not getting filtered and it shows all zeros. Even though we have many test cases as "Not Run".
Steps To Reproduce1) Create Test Project -> Project A
2) Create Test Plan-> Test Plan A
3) Create Build -> 501122
4) Create user -> user1 , role->senior tester
5) Create Platform-> Platform A
6) Create Test suite A and test cases 1-5
7) Add test cases and assign test cases to user1
8) Login with user1 credential
9) Go to -> Test execution
10) Mark Test case 1 as Passed
11) Go to filters-> Select in Results->"Not Run" filter
12) It should display 4 test cases as not run, but the displayed number is all zeros.

Tags1.9.4 PREVIEW, TO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL 5.1.30
BrowserFirefox 14
PHP Version5.2.8
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon Not_Run_filter.jpg [^] (46,690 bytes) 2012-08-08 09:26

- Relationships

-  Notes
(0017064)
fman (administrator)
2012-08-08 12:44

This happens with and without platforms.
(0017065)
fman (administrator)
2012-08-08 12:53
edited on: 2012-08-08 13:06

In order to produce a complete test suite following actions are needed

1. Test plan can have 2 or more builds (ALL ACTIVE) and JUST ONE platfom
2. Test plan can have 2 or more builds (ALL ACTIVE) and NO platfom
3. Test plan can JUST ONE build and 2 or more platfoms

Any other combination is welcomed.
I'm going to create to update TestLink Testing Test Project
http://demo.testlink.org/tlqarepo/linkto.php?tprojectPrefix=QA01&item=testcase&id=QA01-94 [^]
http://demo.testlink.org/tlqarepo/linkto.php?tprojectPrefix=QA01&item=testcase&id=QA01-95 [^]

(0017298)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-08-08 09:26 sujataverma3 New Issue
2012-08-08 09:26 sujataverma3 File Added: Not_Run_filter.jpg
2012-08-08 09:26 sujataverma3 Tag Attached: 1.9.4 PREVIEW
2012-08-08 10:34 fman Assigned To => fman
2012-08-08 10:34 fman Status new => assigned
2012-08-08 12:44 fman Note Added: 0017064
2012-08-08 12:44 fman Tag Attached: TO BE FIXED on 2.0
2012-08-08 12:45 fman Product Version 1.9.3 (2011 Q3 - bug fixing) => 1.9.4 Preview
2012-08-08 12:53 fman Note Added: 0017065
2012-08-08 13:02 fman Note Edited: 0017065 View Revisions
2012-08-08 13:06 fman Note Edited: 0017065 View Revisions
2012-08-09 07:45 fman Task Workflow Status TBD => READY FOR TESTING
2012-08-09 07:45 fman Status assigned => resolved
2012-08-09 07:45 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-08-09 07:45 fman Resolution open => fixed
2012-09-01 19:59 fman Note Added: 0017298
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker